[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# InitThreadVars

Initialize threadvars

## Declaration

Source position: threadh.inc line 123

`procedure InitThreadVars(`
`RelocProc: TRelocateThreadVarHandler`
`);`

## Description

This routine should be called when threading is started. It is called by the compiler and should never be called manually, only from a thread manager.

## Errors

None.

## See also

TThreadManager |  | Thread manager record.